[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.ToString

Return a string representation for the object

## Declaration

Source position: objpash.inc line 256

`public function TObject.ToString: ansistring; virtual;`

## Description

ToString returns by default the class name of the object. It is useful during sending of debug messages.

Descendent classes can override this method to give a better description of the object than just the class name.

## See also

TObject.GetHashCode |  | Return a hash code for the object
TObject.Equals |  | Check if two objects are equal.